"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const index$1 = require("../../icon/index.js");
const timelineItem = require("./timeline-item.js");
const pluginVue_exportHelper = require("../../../_virtual/plugin-vue_export-helper.js");
const index = require("../../../hooks/use-namespace/index.js");
const I = Vue.defineComponent({
  name: "ElTimelineItem"
}), N = /* @__PURE__ */ Vue.defineComponent({
  ...I,
  props: timelineItem.timelineItemProps,
  setup(f) {
    const n = f, e = index.useNamespace("timeline-item"), u = Vue.computed(() => [
      e.e("node"),
      e.em("node", n.size || ""),
      e.em("node", n.type || ""),
      e.is("hollow", n.hollow)
    ]);
    return (o, T) => (Vue.openBlock(), Vue.createElementBlock("li", {
      class: Vue.normalizeClass([Vue.unref(e).b(), { [Vue.unref(e).e("center")]: o.center }])
    }, [
      Vue.createElementVNode("div", {
        class: Vue.normalizeClass(Vue.unref(e).e("tail"))
      }, null, 2),
      o.$slots.dot ? Vue.createCommentVNode("v-if", true) : (Vue.openBlock(), Vue.createElementBlock("div", {
        key: 0,
        class: Vue.normalizeClass(Vue.unref(u)),
        style: Vue.normalizeStyle({
          backgroundColor: o.color
        })
      }, [
        o.icon ? (Vue.openBlock(), Vue.createBlock(Vue.unref(index$1.ElIcon), {
          key: 0,
          class: Vue.normalizeClass(Vue.unref(e).e("icon"))
        }, {
          default: Vue.withCtx(() => [
            (Vue.openBlock(), Vue.createBlock(Vue.resolveDynamicComponent(o.icon)))
          ]),
          _: 1
        }, 8, ["class"])) : Vue.createCommentVNode("v-if", true)
      ], 6)),
      o.$slots.dot ? (Vue.openBlock(), Vue.createElementBlock("div", {
        key: 1,
        class: Vue.normalizeClass(Vue.unref(e).e("dot"))
      }, [
        Vue.renderSlot(o.$slots, "dot")
      ], 2)) : Vue.createCommentVNode("v-if", true),
      Vue.createElementVNode("div", {
        class: Vue.normalizeClass(Vue.unref(e).e("wrapper"))
      }, [
        !o.hideTimestamp && o.placement === "top" ? (Vue.openBlock(), Vue.createElementBlock("div", {
          key: 0,
          class: Vue.normalizeClass([Vue.unref(e).e("timestamp"), Vue.unref(e).is("top")])
        }, Vue.toDisplayString(o.timestamp), 3)) : Vue.createCommentVNode("v-if", true),
        Vue.createElementVNode("div", {
          class: Vue.normalizeClass(Vue.unref(e).e("content"))
        }, [
          Vue.renderSlot(o.$slots, "default")
        ], 2),
        !o.hideTimestamp && o.placement === "bottom" ? (Vue.openBlock(), Vue.createElementBlock("div", {
          key: 1,
          class: Vue.normalizeClass([Vue.unref(e).e("timestamp"), Vue.unref(e).is("bottom")])
        }, Vue.toDisplayString(o.timestamp), 3)) : Vue.createCommentVNode("v-if", true)
      ], 2)
    ], 2));
  }
});
var D = /* @__PURE__ */ pluginVue_exportHelper.default(N, [["__file", "timeline-item.vue"]]);
exports.default = D;
